-- Standard Turbine libraries
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

local importPath = getfenv(1)._.Name;
local thurallorPath = string.gsub(importPath, "%.Blackboard$", "");

-- Thurallor's libraries
local commonPath = thurallorPath .. ".Common";
import (commonPath .. ".Turbine");
import (commonPath .. ".Utils.Utils_8");
import (commonPath .. ".Utils.Locale_2");
import (commonPath .. ".Utils.AutoSizing_6");
import (commonPath .. ".Utils.Color_1");
import (commonPath .. ".UI.Resizer")
import (commonPath .. ".UI.DropDown_3")
import (commonPath .. ".UI.Tooltip_1")
import (commonPath .. ".UI.TrickButton_1")
import (commonPath .. ".UI.Marquee_2")
import (commonPath .. ".UI.Shimmering")
import (commonPath .. ".UI.RadioButton_2")
import (commonPath .. ".UI.ColorPicker_3")

-- Interfaces to other plugins
import (importPath .. ".TerrainMap");

-- Blackboard source files
import (importPath .. ".GrabPoint");
import (importPath .. ".Shape");
import (importPath .. ".TextShape");
import (importPath .. ".ImageShape");
import (importPath .. ".RectangleShape");
import (importPath .. ".Group");
import (importPath .. ".RadarMapShape");
import (importPath .. ".Canvas");
import (importPath .. ".ButtonTray");
import (importPath .. ".PropertyTray");
import (importPath .. ".SettingsButton");
import (importPath .. ".Encoder");
import (importPath .. ".SendButton");
import (importPath .. ".Editor");
import (importPath .. ".Listener");
import (importPath .. ".Main");
