listener = Listener();

bbCmd = Turbine.ShellCommand();
function bbCmd:Execute(cmd, args)
    local playerName = Turbine.Gameplay.LocalPlayer:GetInstance():GetName();
    local command, a, b = string.match(args, "^%s*(%a+)%s+([^%s]+)%s+(.*)");
    if (command == "new") then
        local channel = tonumber(a);
        if ((not channel) or (channel < 1) or (channel > 8)) then
            Puts("Invalid user chat channel: " .. a);
            return;
        end
        local title = (b or "Blackboard");
        listener:CreateLocal(channel, title);
    else
        Puts("Invalid command.  For help, enter: /help bb");
    end
end
bbCmd.GetHelp = function()
    return "Blackboard commands:\n" ..
           "    /bb new <n> <title> : Creates a new blackboard, where\n" ..
           "        n = a number from 1 to 8, indicating comm channel (userchat1 through userchat8)\n" ..
           "        title = a title for the window";
end
bbCmd.GetShortHelp = function()
    return "Command for controlling the Blackboard plugin.";
end
Turbine.Shell.AddCommand("bb", bbCmd);

--bbCmd:Execute("bb", "new 4 test");
Puts(bbCmd:GetHelp());

--listener:Receive(Turbine.ChatType.UserChat4, "[blackboard] Banorc: '<u>B</u>001i50t90V4Tblah50l3x91S1i58B-1122224+1198556-1-1198570+901418+297156-1198590+1204446+1261X7x47l292Y57t253h1s491w1z'\n");
--listener:Receive(Turbine.ChatType.UserChat4, "[blackboard] Banorc: '<u>B</u>001i0z65S1i0s58B-1122224+1198556-1-1198570+901418+297156-1198590+1204446+130S2i50t1s1816336b2z200h4x50l200w'\n");
--listener:Receive(Turbine.ChatType.UserChat4, "[blackboard] Banorc: '<u>B</u>001i63S1i58B-1122224+1198556-1-1198570+901418+297156-1198590+1204446+19S2i324l62t'\n");
--listener:Receive(Turbine.ChatType.UserChat4, "[blackboard] Banorc: '<u>B</u>001i41S4i5x171l84w198t16h6cEEE8AA1s4z9TSome text4S2i0s63S1i58B-1122224+1198556-1-1198570+901418+297156-1198590+1204446+132S3i161t0s6C0000006cEEE8AA6x161l3z'\n");

--_G.TerrainMap = nil;
--listener:Receive(Turbine.ChatType.UserChat4, "[blackboard] Roddra: '<u>B</u>001i50t90V4Ttest50l3x56S1i50t31B-1122224+1198556-1198571+90141850l1s261X7x1z292Y'\n");

