SettingsButton = class(Turbine.UI.Button);

function SettingsButton:Constructor()
    Turbine.UI.Button.Constructor(self);
    self:SetSize(32, 32);

    self:SetBackground("/Thurallor/Blackboard/Images/settings.tga");
    self:SetBackColor(Turbine.UI.Color.White);
    self:SetBackColorBlendMode(Turbine.UI.BlendMode.Color);
end

function SettingsButton:MouseEnter()
    self.mouseInside = true;
    self:SetBackColor(Turbine.UI.Color.Goldenrod);
end

function SettingsButton:MouseLeave()
    self.mouseInside = false;
    self:SetBackColor(Turbine.UI.Color.White);
end
